Page MenuHomePhabricator

Zero VCL removal
Closed, ResolvedPublic

Description

Task for removal of carrier tagging and other VCL code specific to Wikipedia Zero decommissioning.

Details

Related Gerrit Patches:
operations/puppet : productionvcl: do not set WP Zero X-Carrier headers
operations/puppet : productionvarnish: remove WP Zero puppetization
operations/puppet : productionvcl: remove WP Zero code
operations/puppet : productionRevert "Block WP Zero users from accessing Phabricator uploads"

Event Timeline

Jdforrester-WMF triaged this task as Medium priority.Jan 14 2019, 10:59 PM
Jdforrester-WMF created this task.
Restricted Application added a project: Operations. · View Herald TranscriptJan 14 2019, 10:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 479399 had a related patch set uploaded (by Jforrester; owner: MaxSem):
[operations/puppet@production] Revert "Block WP Zero users from accessing Phabricator uploads"

https://gerrit.wikimedia.org/r/479399

ema moved this task from Triage to Caching on the Traffic board.Mar 6 2019, 9:36 AM
jbond added a subscriber: jbond.May 9 2019, 3:07 PM

Is this ticket complete? can it be closed, if not what further actions are required?

Reedy added a subscriber: Reedy.May 9 2019, 3:24 PM

Is this ticket complete? can it be closed, if not what further actions are required?

I guess the removal needs merging?

Change 479399 had a related patch set uploaded (by Jforrester; owner: MaxSem):
[operations/puppet@production] Revert "Block WP Zero users from accessing Phabricator uploads"
https://gerrit.wikimedia.org/r/479399

jbond added a comment.May 9 2019, 3:25 PM

I guess the removal needs merging?

Oh yes missed that :D

I was told by Traffic that the removal is blocked on something in SRE land, but I don't know enough to even give pointers, sorry.

BBlack added a comment.May 9 2019, 3:47 PM

Yeah, it's mostly just blocked on us making some time to deal with it, and time has been in extremely short supply lately, so we tend not to prioritize anything that doesn't have imminent impact. There's some subtleties to backing out that stuff in stages and not breaking things.

Yeah, this is definitely not urgent, just tech debt clean-up and RelEng (though it will simplify life for Analytics when they don't have to worry about this stuff any more, I understand).

jbond added a comment.May 9 2019, 3:53 PM

Ok great thanks for the update

ema changed the task status from Open to Stalled.Jul 4 2019, 11:56 AM
ema added a subscriber: ema.

Yeah, it's mostly just blocked on us making some time to deal with it, and time has been in extremely short supply lately, so we tend not to prioritize anything that doesn't have imminent impact. There's some subtleties to backing out that stuff in stages and not breaking things.

Setting the task as stalled for now.

Change 521488 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] vcl: stop calling WP Zero subroutines

https://gerrit.wikimedia.org/r/521488

Change 479399 had a related patch set uploaded (by Ema; owner: MaxSem):
[operations/puppet@production] Revert "Block WP Zero users from accessing Phabricator uploads"

https://gerrit.wikimedia.org/r/479399

ema changed the task status from Stalled to Open.Jul 9 2019, 1:27 PM

Change 479399 merged by Ema:
[operations/puppet@production] Revert "Block WP Zero users from accessing Phabricator uploads"

https://gerrit.wikimedia.org/r/479399

Change 521510 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] varnish: remove WP Zero puppetization

https://gerrit.wikimedia.org/r/521510

Change 521511 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] vcl: do not set WP Zero X-Carrier headers

https://gerrit.wikimedia.org/r/521511

Change 521488 merged by Ema:
[operations/puppet@production] vcl: remove WP Zero code

https://gerrit.wikimedia.org/r/521488

Change 521510 merged by Ema:
[operations/puppet@production] varnish: remove WP Zero puppetization

https://gerrit.wikimedia.org/r/521510

Change 521511 merged by Ema:
[operations/puppet@production] vcl: do not set WP Zero X-Carrier headers

https://gerrit.wikimedia.org/r/521511

Mentioned in SAL (#wikimedia-operations) [2019-07-10T13:47:58Z] <ema> cp hosts: cleanup WP zero leftovers T213769

ema closed this task as Resolved.Jul 10 2019, 1:55 PM
ema claimed this task.

This is now done!